Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits > Struct Template Reference

`#include <Object_Argument_T.h>`

Inheritance diagram for TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >:

[legend]
List of all members.

## Public Types
typedef T_ptr | ret_type
typedef T_ptr | in_type
typedef T_ptr & | inout_type
typedef T_out | out_type
typedef In_Object_Argument_T< T_ptr > | in_arg_val
typedef Inout_Object_Argument_T< T_ptr, T_traits > | inout_arg_val
typedef Out_Object_Argument_T< T_ptr, T_out > | out_arg_val
typedef Ret_Object_Argument_T< T_ptr, T_var > | ret_val
typedef Object_Tag | idl_tag

### template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
struct TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >

## Member Typedef Documentation

template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
typedef Object_Tag TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >::idl_tag

template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
typedef In_Object_Argument_T<T_ptr> TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >::in_arg_val

template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
typedef T_ptr TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >::in_type

template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
typedef Inout_Object_Argument_T<T_ptr, T_traits> TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >::inout_arg_val

template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
typedef T_ptr& TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >::inout_type

template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
typedef Out_Object_Argument_T<T_ptr,T_out> TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >::out_arg_val

template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
typedef T_out TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >::out_type

template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
typedef T_ptr TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >::ret_type

template<typename T_ptr, typename T_var, typename T_out, typename T_traits>
typedef Ret_Object_Argument_T<T_ptr,T_var> TAO::Object_Arg_Traits_T< T_ptr, T_var, T_out, T_traits >::ret_val

The documentation for this struct was generated from the following file:

- Object_Argument_T.h